<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'credmain';
$trandb = 'credtran';
$stkdb = 'transacn';
$accdb = 'actran';

$file = "creditnotegst.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`type` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`godown` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`discount` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`freight` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`netamt` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`type` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`godown` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`discount` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`freight` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "8") {
        $cond = "AND a.`netamt` LIKE '%$searchTerm%'";
    }
}


$sortcond = "ORDER BY a.`Vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`type`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`godown`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY a.`discount`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`freight`";
} else if ($_REQUEST["sortBy"] == "8") {
    $sortcond = " ORDER BY a.`netamt`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}
$query = "SELECT a.*, a.party, b.accode, b.name FROM `credmain` a left outer join `accmast` b on a.party = b.accode where vouchno != '' $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    if ($r[type] == 1) {
        $type = "Suiting";
    } else {
        $type = "Shirting";
    }


    $rows[] = [ 'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['vouchdt'],
        'party' => $r['name'],
        'type' => $type,
        'godown' => $r['godown'],
        'discount' => $r['discount'],
        'freight' => $r['freight'],
        'netamt' => $r['netamt'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
